"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useCreateSession = useCreateSession;
const react_query_1 = require("@tanstack/react-query");
const wagmi_1 = require("wagmi");
const createSession_js_1 = require("../query/createSession.js");
function useCreateSession(parameters = {}) {
    const { mutation } = parameters;
    const config = (0, wagmi_1.useConfig)(parameters);
    const mutationOptions = (0, createSession_js_1.createSessionMutationOptions)(config);
    const { mutate, mutateAsync, ...result } = (0, react_query_1.useMutation)({
        ...mutation,
        ...mutationOptions,
    });
    return {
        ...result,
        createSession: mutate,
        createSessionAsync: mutateAsync,
    };
}
//# sourceMappingURL=useCreateSession.js.map